# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name shakespeare-css

Name:           ghc-%{pkg_name}
Version:        1.0.6.2
Release:        1%{?dist}
Summary:        Compile-time variable interpolation for CSS

License:        MIT
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-shakespeare-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
ExclusiveArch:  %{ghc_arches_with_ghci}
# End cabal-rpm deps

%description
Shakespeare is a template family for type-safe, efficient templates with simple
variable interpolation. Shakespeare templates can be used inline with a
quasi-quoter or in an external file. Shakespeare interpolates variables
according to the type being inserted. In this case, the variable type needs a
ToCss instance.

This package contains 2 css template languages. The Cassius language uses
whitespace to avoid the need for closing brackets and semi-colons.
Lucius does not care about whitespace and is a strict superset of css.
There are also some significant conveniences added for css.

Please see http://www.yesodweb.com/book/shakespearean-templates for a more
thorough description and examples.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development
files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Fri Aug 30 2013 Jens Petersen <petersen@redhat.com> - 1.0.6.2-1
- update to 1.0.6.2 (#986639)

* Sun Jul 21 2013 Jens Petersen <petersen@redhat.com> - 1.0.6.1-1
- tidy summary and description

* Sun Jul 21 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 1.0.6.1-0
- spec file generated by cabal-rpm-0.8.3
